< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package http
  Definition Classes
    hmrc
-  package cache
  Definition Classes
    http
-  package client
  Definition Classes
    cache
- CacheMap
- CacheUtil
- CachingException
- CachingVerbs
- CryptoCacheMap
- HttpCaching
- KeyStoreEntryValidationException
- NoSessionException
- SessionCache
- ShortLivedCache
- ShortLivedHttpCaching

c

uk.gov.hmrc.http.cache.client

# CryptoCacheMap 

###

#### class CryptoCacheMap extends CacheMap with CacheUtil

Linear Supertypes
CacheUtil, CacheMap, Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CryptoCacheMap
2. CacheUtil
3. CacheMap
4. Serializable
5. Serializable
6. Product
7. Equals
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new CryptoCacheMap(cm: CacheMap)(implicit crypto: CompositeSymmetricCrypto)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
6.  def convert[T](entry: Option[Protected[T]]): Option[T]
   Definition Classes
     CacheUtil
7.  val data: Map[String, JsValue]
   Definition Classes
     CacheMap
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def getEntry[T](key: String)(implicit fjs: Reads[T]): Option[T]
    Definition Classes
      CryptoCacheMap → CacheMap
12.  val id: String
    Definition Classes
      CacheMap
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from CacheUtil

### Inherited from CacheMap

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped